export default function (): {
    showColPopover: import("vue").Ref<boolean, boolean>;
    showRowPopover: import("vue").Ref<boolean, boolean>;
    columnActions: import("vue").ComputedRef<({
        label: any;
        value: string;
        icon: string;
        class?: undefined;
    } | {
        label: any;
        value: string;
        icon: string;
        class: string;
    })[]>;
    rowActions: import("vue").ComputedRef<({
        label: any;
        value: string;
        icon: string;
        class?: undefined;
    } | {
        label: any;
        value: string;
        icon: string;
        class: string;
    })[]>;
    isEditable: {
        value: boolean;
    };
    cellInfo: import("vue").ComputedRef<{
        rowIndex: number;
        colIndex: number;
    }>;
    initProps: (value: any) => void;
    selectColumn: () => void;
    selectRow: () => void;
    runCommand: (command: string, options?: Indexable) => void;
};
